<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	
<ui:define name="principal">

<h:form id="formFase">
<p:growl id="mensagem"/>


	<p:panel columns="5" style="margin-bottom:0px; font-size: 16px; padding: 1px 1px; margin: 6px 6px">
	
	<f:facet name="header">
            Fase
    </f:facet>
	 	 
	<p:panelGrid style="margin-bottom:5px; font-size: 16px; padding: 4px 12px; margin: 4px 6px" columns="4">

	 <p:outputLabel value="Data inicial: "/>
	 <p:calendar id="mask" value="#{faseMB.fase.dataInicio}" required = "true" pattern="dd/MM/yyyy" mask="true" />
	 
	 <p:outputLabel value="Data final: "/>
	 <p:calendar id="mask2" value="#{faseMB.fase.dataFim}" required = "true" pattern="dd/MM/yyyy" mask="true" />
	 
	 <p:outputLabel value="Formato: "/>
	 <h:selectOneMenu value="#{faseMB.fase.formato}" style="width:205px" required="true">
	 		<f:selectItem itemLabel= "Selecione o formato"  noSelectionOption="true"/>
            <f:selectItem itemLabel="Primeira fase" itemValue="PRIMEIRA_FASE" />
            <f:selectItem itemLabel="Segunda fase" itemValue="SEGUNDA_FASE" />  
     </h:selectOneMenu>
     
     <p:outputLabel for="categoria" value="Categoria: "/>
	 <h:selectOneMenu id="categoria" converter ="ConverterCategoria" value="#{faseMB.fase.categoria}"  style="width:205px">
     		<f:selectItem itemLabel= "Selecione a categoria" noSelectionOption="true"/>
     		<f:selectItems value="#{categoriaMB.categorias}" />
     </h:selectOneMenu>
	 
	</p:panelGrid>

		  			 

	<p:commandButton value="Cadastrar"
					 style="margin-bottom:5px; font-size: 16px; padding: 0px 0px; margin: 4px 6px"
					 action="#{faseMB.salvar}"
	                 update=":formFase"  
	            
	/>
	
	
	</p:panel>


</h:form>




	</ui:define>
</ui:composition>